Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86174 - ntpd takes a long time to synch and then frequently loses it
Summary: ntpd takes a long time to synch and then frequently loses it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ntp
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 22:10 UTC by Mike Zanker
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-19 14:49:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:254 normal SHIPPED_LIVE Updated ntp package fixes several bugs 2003-12-19 05:00:00 UTC

Description Mike Zanker 2003-03-15 22:10:22 UTC
Description of problem:
ntpd takes a long time (up to an hour) to synchronise with time servers. It 
then loses synchronisation every 30 minutes or so. Before synchronisation is 
lost "jitter" (as reported by ntpq pe command) starts to grow to 100s of 
milliseconds. Replacing the supplied ntp rpm with the Red Hat 8.0 ntp rpm 
fixes the problem (i.e. synchs within 3-4 minutes of starting and never loses 
synch).


Version-Release number of selected component (if applicable):
ntp-4.1.0b-2.AS21.4

How reproducible:
Every time ntpd is started.

Steps to Reproduce:
1. Create simple ntp.conf, e.g.

server time-a.nist.gov
server time-b.nist.gov
driftfile /etc/ntp/drift

2. /etc/init.d/ntpd start

3. Observe entries in /var/log/messages, e.g.

Mar 15 17:00:52 mallard ntpd[1160]: time reset 0.530494 s
Mar 15 17:00:52 mallard ntpd[1160]: synchronisation lost
Mar 15 17:18:25 mallard ntpd[1160]: time reset 0.858730 s
Mar 15 17:18:25 mallard ntpd[1160]: synchronisation lost
Mar 15 17:57:01 mallard ntpd[1160]: time reset -0.821846 s
Mar 15 17:57:01 mallard ntpd[1160]: synchronisation lost
Mar 15 18:16:41 mallard ntpd[1160]: time reset 0.667704 s
Mar 15 18:16:41 mallard ntpd[1160]: synchronisation lost
    
Actual results:
As above - synchronisation frequently lost. Time being set with .5 to 1 second 
inaccuracy. 

Expected results:
Synchronisation to be maintained and time to be maintained within a few 
milliseconds.

Additional info:

Comment 1 Mike Zanker 2003-03-17 09:53:22 UTC
Just to add that I have tested this on a separate server running RHAS (same 
ntpd rpm) with exactly the same results:

Mar 17 09:20:08 minx ntpd[23376]: time reset 0.770897 s
Mar 17 09:20:08 minx ntpd[23376]: kernel time discipline status change 1
Mar 17 09:20:08 minx ntpd[23376]: synchronisation lost
Mar 17 09:40:39 minx ntpd[23376]: time reset 0.305470 s
Mar 17 09:40:39 minx ntpd[23376]: synchronisation lost

This is when trying to sync to ntp servers in the same subnet.

Comment 2 Harald Hoyer 2003-03-20 16:11:52 UTC
can you try the latest rawhide version of ntp in your subnet? That would be my
candidate for a bugfix erratum.

Comment 3 Mike Zanker 2003-03-20 17:16:48 UTC
Hi, I tried to install it but it requires glibc 2.3. Panama has glibc 2.2.4.

Comment 4 Harald Hoyer 2003-03-20 17:24:04 UTC
should be no problem to recompile the src.rpm

Comment 5 Mike Zanker 2003-03-20 21:42:51 UTC
OK, compiled and installed the src.rpm and it works fine. Sync after about 3 
minutes and no loss at all.

Comment 12 John Flanagan 2003-12-19 14:49:59 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-254.html



Note You need to log in before you can comment on or make changes to this bug.